'use strict';

export { line };
export { foldWhitespace };
var KEY_CODES = Object.freeze({
    ENTER: 13,
    Z: 90
});

export { KEY_CODES };

function line(str, skipTrim) {
    var s = str.replace(/\s+/g, ' ');
    return skipTrim ? s : s.trim();
}

function foldWhitespace(str) {
    return str.replace(/^\s+/, '') // no leading spaces
    .replace(/\s/g, ' ') // only allow spaces, not tabs, new lines, etc
    .replace(/ {3,}/g, '  '); // no more than 2 spaces anywhere
}