'use strict';

exports.__esModule = true;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _markers = require('./markers');

var _TxRegionsInput = require('./TxRegionsInput');

var _TxRegionsInput2 = _interopRequireDefault(_TxRegionsInput);

var markers = {
    email: _markers.markEmail,
    nonDigits: _markers.markNonDigits,
    nonEmail: _markers.markNonEmail,
    nonEnNumeric: _markers.markNonEnNumeric,
    nonEuNumeric: _markers.markNonEuNumeric,
    nonInt: _markers.markNonInt,
    nonNumeric: _markers.markNonNumeric,
    nonUint: _markers.markNonUint,
    nonUrl: _markers.markNonUrl,
    urls: _markers.markUrls
};

exports.markers = markers;
exports.getInverseMarker = _markers.getInverseMarker;
exports.getMatchMarker = _markers.getMatchMarker;
exports['default'] = _TxRegionsInput2['default'];
exports.classNames = _TxRegionsInput.classNames;

var _validators = require('./validators');

exports.validatorDefaults = _validators.validatorDefaults;